package JavaML;

/**
 * An interface for representing an Online Classifier.
 * It extends the basic IClassifier.
 * 
 * @author apocock
 */
public interface IOnlineClassifier extends IClassifier
{
  public IOnlineClassifier copyClassifier();
  
  public int onlineTrain(double[] trainingData, int target);

}//interface IOnlineClassifier
